init:
    # Position the navigation on the right side of the screen.
    $ style.gallery_nav_frame.xpos = 800 - 10
    $ style.gallery_nav_frame.xanchor = 1.0
    $ style.gallery_nav_frame.ypos = 12

    # Add the gallery to the main menu.
    $ config.main_menu.insert(2, ('Gallery', "gallery", "True"))

# The entry point to the gallery code.
label gallery:
    python hide:

        # Construct a new gallery object.
        g = Gallery()

        # The image used for locked buttons.
        g.locked_button = "gallery_locked.png"

        # The background of a locked image.
        g.locked_background = "gallery_lockedbg.jpg"

        # Frames added over unlocked buttons, in hover and idle states.
        g.hover_border = "gallery_hover.png"
        g.idle_border = "gallery_idle.png"

        # An images used as the background of the various gallery pages.
        g.background = "xalintro.jpg"

        # Lay out the gallery images on the screen.
        # These settings lay images out 3 across and 4 down.
        # They expect button images to be 155x112 in size.
        g.grid_layout((3, 4), (10, 12), (160, 124))

        # Show the background page.
        g.page("Page 1")

        g.button("cover_thumb.jpg")
        g.unlock_image("cover")
        
        g.button("xalintro_thumb.jpg")
        g.unlock_image("intro")
        
        g.button("xalworc_thumb.jpg")
        g.unlock_image("orc01")
        
        g.button("xalworcchief_thumb.jpg")
        g.unlock_image("orc02")
        
        g.button("xaloo_thumb.jpg")
        g.unlock_image("twoorcend")
        
        g.button("xalworctaur_thumb.jpg")
        g.unlock_image ("taur03")
        
        g.button("xalot_thumb.jpg")
        g.unlock_image("orctrueend")
        
        g.button("xalwtaur_thumb.jpg")
        g.unlock_image("taur01")
        
        g.button("xalwedtaur_thumb.jpg")
        g.unlock_image("taur02")
        
        g.button("xaltt_thumb.jpg")
        g.unlock_image("twotaurend")
        
        g.button("xaltaurorc_thumb.jpg")
        g.unlock_image("orc03")
        
        g.button("xalto_thumb.jpg")
        g.unlock_image("taurtrueend")
    
        g.page("Page 2")
        
        g.button("xalskids_thumb.jpg")
        g.unlock_image("xalkids")
    
        g.button("xalgetin_thumb.jpg")
        g.unlock_image("getin")
        
        g.button("xalworcgang_thumb.jpg")
        g.unlock_image("orcgang")
        
        g.button("xaldress_thumb.jpg")
        g.unlock_image("weddress")
        
        g.button("xalresc_thumb.jpg")
        g.unlock_image("xalplow")
        
        g.button("xalprop_thumb.jpg")
        g.unlock_image("xalpro")
        
        # Now, show the gallery.
        g.show()

    return
